!!
=======================================================================================
 Description ...: Sand box Form Generator
 Requirement(s).: RFO BASIC!
 Author ........: Giovanni Rossati (El Condor)
 Version........: 0.2.1
 Date...........: 16 September 2017
 License........: Free to use without any warranties
=======================================================================================
!!
sample$ = "GROUND,255 0 0 255;" ~
			+ "%GROUND,255 0 0 255,landscape;" ~
			+ "TITLE,RFO Basic Form Generator,red;" ~
			+ "T,T1,Text,20,This is a text;" ~
			+ "CMB,Urgency,,,W:White,G:Green,Y:Yellow,Red;" ~
			+ "CMT,Unit,,,m:meter,mm:millimeter,p:pixel,cm:centimeter;" ~
			+ "T,Mail,E-Mail,18,Insert mail;" ~
			+ "Check,Mail,mail,required;" ~
			+ "N,Number,,10,Insert Integer Number;" ~
			+ "P,psw,Password,18,Insert password,Almost 6 characters;" ~
			+ "U,UnMod,Not modifiable field,25;" ~
			+ "CKB,Consent,,,To keep data;" ~
			+ "CKB,AnotherCKB,Another CKB,,Another CKB;" ~
			+ "RDB,Sex,,,M:Male,F:Female;" ~
			+ "B,Cancel,#10008;" ~
			+ "Defaults,Consent:On,Urgency:Magenta,Unit:p;" ~
			+ "Defaults,Number:3.1415,UnMod:--------------------------,Mail:ross@condor.it,Sex:F;" ~
			+ "After,Mail,Consent"
include fgen.bas
fh_data = fgen(sample$)
BUNDLE.KEYS fh_data, list
LIST.SIZE list, size
cls
FOR i = 1 TO size
	LIST.GET list, i, key$
	bundle.type fh_data, key$, t$
	if t$ = "S" Then
		BUNDLE.GET fh_data, key$, value$
		Print key$, value$
	Else
		BUNDLE.GET fh_data, key$, value
		Print key$, value
	Endif
Next i
PRINT "Press the back key to exit"